# pymatgen.entries package

## Subpackages

## Submodules

- pymatgen.entries.compatibility module
- pymatgen.entries.computed_entries module
- pymatgen.entries.correction_calculator module
- pymatgen.entries.entry_tools module
- pymatgen.entries.exp_entries module

## Module contents

Entries are containers for calculated information, which is used in many analyses. This module contains entry related tools and implements the base Entry class, which is the basic entity that can be used to store calculated information. Other Entry classes such as ComputedEntry and PDEntry inherit from this class.

class Entry(composition: Union[pymatgen.core.composition.Composition, str, Dict[str, float]], energy: float)

  Bases: `monty.json.MSONable`

  A lightweight object containing the energy associated with a specific chemical composition. This base class is not intended to be instantiated directly. Note that classes which inherit from Entry must define a .energy property.

  Initializes an Entry.

  Parameters

    - composition (Composition) – Composition of the entry. For flexibility, this can take the form of all the typical input taken by a Composition, including a {symbol: amt} dict, a string formula, and others.

    - energy (float) – Energy of the entry.

  as_dict() → dict
    Returns

      MSONable dict.

  property composition: pymatgen.core.composition.Composition

    the composition of the entry.

    Type

      return

  abstract property energy: float

    the energy of the entry.

    Type

      return

  property energy_per_atom: float

    the energy per atom of the entry.

    Type

      return

  property is_element: bool

    Whether composition of entry is an element.

    Type

      return

  normalize(mode: Literal['formula_unit', 'atom'] = 'formula_unit') → pymatgen.entries.Entry

    Normalize the entry’s composition and energy.

    Parameters

      mode ("formula_unit" | "atom") – “formula_unit” (the default) normalizes to composition.reduced_formula. “atom” normalizes such that the composition amounts sum to 1.